### Home Classes Methods

### In Files

- lib/yajl/http_stream.rb

### Parent

StandardError

### Methods

- ::new

### Files

- README.rdoc
- Makefile

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::EncodeError
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::ParseError
- Yajl::Parser
- Yajl::Stream
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Array
- FalseClass
- Fixnum
- Float
- Hash
- Kernel
- NilClass
- Object
- String
- TrueClass

No matching classes.

# Yajl::HttpStream::HttpError

### Attributes

headers[R]
message[R]

### Public Class Methods

new(message, headers) click to toggle source

    # File lib/yajl/http_stream.rb, line 17
    def initialize(message, headers)
      @message = message
      @headers = headers
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.